Create an account


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[NEEDS INFO] NetRadiant fails to compile with latest nvidia driver

#1
Hello!

So again NetRadiant does not compile. This is the output:
Code:
user@localhost:~/Programs/netradiant$ make

checking that the build tools exist
Checking for /bin/sh (bash (or another shell))... found.
Checking for echo (coreutils)... found.
Checking for echo -n (coreutils)... found.
Checking for cat (coreutils)... found.
Checking for mkdir -p (coreutils)... found.
Checking for cp (coreutils)... found.
Checking for cp -r (coreutils)... found.
Checking for rm -f (coreutils)... found.
Checking for rm -f -r (coreutils)... found.
Checking for mv (coreutils)... found.
Checking for echo test | tee /dev/stderr (coreutils)... found.
Checking for sed (sed)... found.
Checking for find (findutils)... found.
Checking for diff (diff)... found.
Checking for cc (gcc)... found.
Checking for g++ (g++)... found.
Checking for ranlib (binutils)... found.
Checking for ar (binutils)... found.
Checking for pkg-config (pkg-config)... found.
Checking for unzip (unzip)... found.
Checking for git (git-core)... found.
Checking for svn (subversion)... found.
Checking for wget (wget)... found.
Checking for ldd  (libc6)... found.
All required tools have been found!

checking that the dependencies exist
Checking for jpeglib.h (libjpeg8-dev)... found and links.
Checking for glib.h (libglib2.0-dev)... found and links.
Checking for libxml/xpath.h (libxml2-dev)... found and links.
Checking for png.h (libpng12-dev)... found and links.
Checking for GL/gl.h (mesa-common-dev (or another OpenGL library))... found but does not link, please install it or set PKG_CONFIG_PATH right!
To see the failed commands, set DEPENDENCIES_CHECK=verbose
To proceed anyway, set DEPENDENCIES_CHECK=off
Checking for gtk/gtkdialog.h (libgtk2.0-dev)... found and links.
Checking for pango/pangoft2.h (libpango1.0-dev)... found and links.
Checking for gtk/gtkglwidget.h (libgtkglext1-dev)... found but does not link, please install it or set PKG_CONFIG_PATH right!
To see the failed commands, set DEPENDENCIES_CHECK=verbose
To proceed anyway, set DEPENDENCIES_CHECK=off
Checking for dlfcn.h (libc6-dev)... found and links.
Checking for zlib.h (zlib1g-dev)... found and links.
Makefile:276: recipe for target 'dependencies-check' failed
make: *** [dependencies-check] Error 1
All dependencies are installed and found but some still won´t be used.

Using a nvidia GTX960 I had to install the latest driver from their website to get it working. I hope this won´t have any effect on the libraries or something...

Any ideas how this can be fixed?

My OS is Debian 8 Jessie 32bit.
Reply

#2
Hey! Is that git netradiant?
[Image:http://i.imgur.com/4XODR.png]640K ought to be enough for anybody.
     ― Linux Torvalds
Reply

#3
Yes. I cloned
Code:
https://gitlab.com/xonotic/netradiant.git

Even trying to compile netradiant from my xonotic git clone fails. (which I assume is the same thing anyway... )
Reply

#4
It is the same thing indeed. I don't know how to fix that as I haven't encountered it myself, however... Have you tried reinstalling the packages that provide gtkglwidget.h and gl.h?

If that fails, can you provide the verbose output? Just add DEPENDENCIES_CHECK=verbose after "make".
[Image:http://i.imgur.com/4XODR.png]640K ought to be enough for anybody.
     ― Linux Torvalds
Reply

#5
Reinstalling doesn´t help. Tried that with all required packages.

This is the output: https://gist.github.com/mschwan/b80bcea28d394988d77b
Reply

#6
Okay, do you have libgl1-mesa-dev installed? It seems like the only issue here is that ldd complains about "-lGL"
[Image:http://i.imgur.com/4XODR.png]640K ought to be enough for anybody.
     ― Linux Torvalds
Reply

#7
Yes, I have this package installed. I also checked for the gl.h header file and it actually exists in the right place! Though I do not know whether the header file or the library (.so file) is needed. Maybe there is the issue? I read in another forum that people had similar problems with GL where the library just wasn´t correctly linked... as the warning message here suggest anyway.
Reply



Possibly Related Threads...
Thread Author Replies Views Last Post
  [NEED HELP] Netradiant looks weird when i try to open it Taplio 0 75 07-07-2019, 02:19 PM
Last Post: Taplio
  [NEED HELP] NetRadiant crashes on Build - Mac (10.12.6) Space Ace 0 226 04-24-2019, 10:41 PM
Last Post: Space Ace
  [NEED HELP] NetRadiant doesn't compile on Mac nokko 3 290 03-29-2019, 11:19 AM
Last Post: Freddy
Exclamation [BUG] *ubuntu 18.04/nVidia v415-Desktop Screen Corruption After Exiting Game? JeZxLee 2 414 01-06-2019, 05:15 AM
Last Post: SpiKe
  [SOLVED] Menu fails to load after recent update Bloodthorn 2 528 09-25-2018, 08:11 AM
Last Post: Bloodthorn
  [SOLVED] linux compile/link error BuddyFriendGuy 3 1,297 11-27-2017, 08:55 PM
Last Post: Lyberta
  [NEED HELP] Netradiant compiling? Raxno 2 1,213 11-11-2017, 04:50 AM
Last Post: It'sMe
  [SOLVED] NetRadiant crashing (Xonotic 0.8.2, NR 1.5.0-20120301) munyul 2 1,420 07-09-2017, 11:21 AM
Last Post: munyul
  [NEED HELP] video glitches in netradiant on windows 10 fabzor3 2 929 05-26-2017, 02:09 AM
Last Post: PinkRobot
  [BUG] xonotic-maps ebuild does not compile ZyX 0 855 05-01-2017, 10:10 PM
Last Post: ZyX

Forum Jump:


Users browsing this thread:
1 Guest(s)

Forum software by © MyBB original theme © iAndrew 2016, remixed by -z-